<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>Swagger UI</title>
    <link rel="stylesheet" type="text/css" href="node_modules/swagger-ui-dist/swagger-ui.css" >
    <style>
      html
      {
        box-sizing: border-box;
        overflow: -moz-scrollbars-vertical;
        overflow-y: scroll;
      }

      *,
      *:before,
      *:after
      {
        box-sizing: inherit;
      }

      body
      {
        margin:0;
        background: #fafafa;
      }
    </style>
  </head>

  <body>
    <p>Swagger UI not initialized (did you forget to 'npm install'?)</p>
    <script src="node_modules/swagger-ui-dist/swagger-ui-bundle.js"> </script>
    <script src="node_modules/swagger-ui-dist/swagger-ui-standalone-preset.js"> </script>
    <script>
      window.onload = function () {
        // Swagger UI really wants a trailing slash
        const p = window.location.pathname;
        if (p[p.length - 1] !== '/') {
          return window.location.pathname += '/';
        }
        window.ui = SwaggerUIBundle({
          url: "./l1ce.yaml",
          dom_id: 'body',
          deepLinking: true,
          presets: [
            SwaggerUIBundle.presets.apis,
            SwaggerUIStandalonePreset
          ],
          plugins: [
            SwaggerUIBundle.plugins.DownloadUrl
          ],
          layout: "StandaloneLayout"
        })
      }
    </script>
  </body>
</html>
